Commit f0506b1c authored by Francesc Guasch's avatar Francesc Guasch
Browse files

Merge branch 'gh-pages' of github.com:UPC/ravada into gh-pages

parents 150075ee 07001670
......@@ -19,22 +19,15 @@ repository <http://infoteleco.upc.edu/img/debian/>`__.
Install the ravada package. Choose the one that matches your OS release:
- ravada_1.1.0_debian-10_all.deb
- ravada_1.1.1_debian-10_all.deb
When you run dpkg now it may show some errors, it is ok, keep reading.
.. prompt:: bash $
wget http://infoteleco.upc.edu/img/debian/ravada_1.1.0_debian-10_all.deb
sudo dpkg -i ravada_1.1.0_debian-10_all.deb
The last command will show a warning about missing dependencies. Install
them running:
.. prompt:: bash $
sudo apt-get update
sudo apt-get -f install
wget http://infoteleco.upc.edu/img/debian/ravada_1.1.1_debian-10_all.deb
sudo apt update
sudo apt install ./ravada_1.1.1_debian-10_all.deb
Debian KVM
~~~~~~~~~~
......
......@@ -18,15 +18,15 @@ repository <http://infoteleco.upc.edu/img/debian/>`__.
Install the ravada package. Choose the one that matches your OS release:
- ravada_1.1.0_ubuntu-18.04_all.deb
- ravada_1.1.0_ubuntu-20.04_all.deb
- ravada_1.1.1_ubuntu-18.04_all.deb
- ravada_1.1.1_ubuntu-20.04_all.deb
When you run dpkg now it may show some errors, it is ok, keep reading.
.. prompt:: bash $
wget http://infoteleco.upc.edu/img/debian/ravada_1.1.0_ubuntu-20.04_all.deb
sudo dpkg -i ravada_1.1.0_ubuntu-20.04_all.deb
wget http://infoteleco.upc.edu/img/debian/ravada_1.1.1_ubuntu-20.04_all.deb
sudo dpkg -i ravada_1.1.1_ubuntu-20.04_all.deb
The last command will show a warning about missing dependencies. Install
them running:
......
......@@ -2,16 +2,6 @@
log file
========
Default
=======
By default Ravada logs to syslog. Check the output of the ravada process
in a terminal this way:
.. code-block:: bash
root@server:~# tail -f /var/log/syslog | grep rvd_
Frontend log file
=================
......
......@@ -35,8 +35,8 @@ if [[ $OS = *"Ubuntu"* && $VER > '16.04' ]]; then
echo "Downloading..."
sudo apt-get install libmojolicious-plugin-renderfile-perl -y &> /dev/null
wget http://infoteleco.upc.edu/img/debian/ravada_1.1.0_ubuntu-18.04_all.deb
sudo dpkg -i ravada_1.1.0_ubuntu-18.04_all.deb &> /dev/null
wget http://infoteleco.upc.edu/img/debian/ravada_1.1.1_ubuntu-18.04_all.deb
sudo dpkg -i ravada_1.1.1_ubuntu-18.04_all.deb &> /dev/null
echo "Installing Dependencies..."
sudo apt-get update -y &> /dev/null
sudo apt-get -f -y install &> /dev/null
......@@ -136,8 +136,8 @@ elif [[ $OS = *"Ubuntu"* ]]; then
wget http://infoteleco.upc.edu/img/debian/libmojolicious-plugin-renderfile-perl_0.10-1_all.deb &> /dev/null
sudo dpkg -i libmojolicious-plugin-renderfile-perl_0.10-1_all.deb &> /dev/null
wget http://infoteleco.upc.edu/img/debian/ravada_1.1.0_all.deb &> /dev/null
sudo dpkg -i ravada_1.1.0_all.deb &> /dev/null
wget http://infoteleco.upc.edu/img/debian/ravada_1.1.1_all.deb &> /dev/null
sudo dpkg -i ravada_1.1.1_all.deb &> /dev/null
echo "Installing Dependencies..."
sudo apt-get update -y &> /dev/null
sudo apt-get -f -y install &> /dev/null
......
......@@ -10,20 +10,26 @@ In order to upgrade Ravada, you have to do a few steps:
Steps for a clean update
------------------------
Step 1
Step 1
~~~~~~
Download the *deb* package of the new version found at the `UPC
ETSETB repository <http://infoteleco.upc.edu/img/debian/>`__.
Step 2
.. prompt:: bash
wget http://infoteleco.upc.edu/img/debian/ravada_1.1.1_ubuntu-20.04_all.deb
Step 2
~~~~~~
Install the *deb* package.
.. prompt:: bash
sudo dpkg -i <deb file>
sudo apt install ./ravada_1.1.1_ubuntu-20.04_all.deb
On some upgrades may be required to install some dependencies. You will see
because the packaging system will warn about it:
......
......@@ -86,7 +86,7 @@
<!-- /.container-fluid -->
</nav>
<div class="tease">
Ravada 1.1.0 is out! Go to the <a target="_blank" href="http://ravada.readthedocs.io/en/latest/docs/INSTALL.html">install</a> page.
Ravada 1.1.1 is out! Go to the <a target="_blank" href="http://ravada.readthedocs.io/en/latest/docs/INSTALL.html">install</a> page.
</div>
<!-- Header -->
<header>
......@@ -642,8 +642,8 @@
<div class="footer-col col-md-6">
<h3>About Ravada</h3>
<p>Ravada is a free to use, open source VDI project.</p>
<a href="https://github.com/UPC/ravada/blob/release/1.1.0/CHANGELOG.md"><img
src="https://img.shields.io/badge/Version-ravada--1.1.0-green.svg"></a>
<a href="https://github.com/UPC/ravada/blob/release/1.1.1/CHANGELOG.md"><img
src="https://img.shields.io/badge/Version-ravada--1.1.1-green.svg"></a>
<a href='http://ravada.readthedocs.io/en/latest/?badge=latest'><img src='https://readthedocs.org/projects/ravada/badge/?version=latest' alt='Documentation Status' /></a>
<a href="https://hosted.weblate.org/engage/ravada/"><img src="https://hosted.weblate.org/widgets/ravada/-/svg-badge.svg" alt="Translation status" /></a>
<a href="https://github.com/UPC/ravada/blob/master/LICENSE"><img src="https://img.shields.io/badge/License-AGPL%20v3-blue.svg"></a>
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment